--UNIT_COMBAT
function(_, target, event, _, amount)
	if target == "player" and event ~= "HEAL" and amount then
		aura_env.lasthit = GetTime()
		return true
	end
end

--UNTRIGGER
function()
	if aura_env.lasthit + 5 < GetTime() then
		return true
	end
end

--DURATION
function()
	return 5, aura_env.lasthit + 5
end

--INIT
aura_env.lasthit = 0